%define upstream_name    DateTime-Functions
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Procedural interface to DateTime functions
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Duration)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module simply exports all class methods of DateTime into the caller's
namespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-4.mga8
+ Revision: 1503762
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.130.0-3.mga7
+ Revision: 1282670
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.130.0-2.mga7
+ Revision: 1163888
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 0.130.0-1.mga7
+ Revision: 1141332
- update to 0.13

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-2.mga6
+ Revision: 1025283
- Rebuild for perl 5.22.2

* Thu Mar 24 2016 shlomif <shlomif> 0.120.0-1.mga6
+ Revision: 994771
- update to 0.12

* Mon Jan 18 2016 shlomif <shlomif> 0.110.0-1.mga6
+ Revision: 925455
- Importing from cpan2pkg


* Mon Jan 18 2016 cpan2dist 1.39-1mga
- initial mageia release, generated with cpan2dist
